#ifndef GLWIDGET_H
#define GLWIDGET_H

#include <QOpenGLWidget>
#include <QMouseEvent>
#include <QString>

#include "s3d.h"

extern Scene *s1;

class GLWidget : public QOpenGLWidget {

public:
    GLWidget();
    QSize sizeHint() const;
    void resizeGL(int width, int height);

protected:
    void initializeGL();
    void paintGL();
    void mouseMoveEvent(QMouseEvent *event);

    void dragEnterEvent(QDragEnterEvent *event);
    void dragMoveEvent(QDragMoveEvent *event);
    void dragLeaveEvent(QDragLeaveEvent *event);
    void dropEvent(QDropEvent *event);
    void keyPressEvent(QKeyEvent *event);

private:
    QString lastfile;
};

#endif // GLWIDGET_H
