#!/bin/sh

ROOT=../..
DATA=../../data

BIN=$ROOT/platforms/linux/bin
MOD=$DATA/model
SCN=$DATA/scn
PIC=$DATA/pic
DEM=$ROOT/test/demo


echo "************************************************"
echo "Spheres"

echo "0) Rendering Spheres using Flat "
echo "  (type q to quit) "
$BIN/zflat  < $SCN/spheres.scn > s.png
$BIN/vw s.png 2

echo "1) Rendering Spheres using Gouraud "
echo "  (type q to quit) "
$BIN/gouraud  < $SCN/spheres.scn > s.png
$BIN/vw s.png 2

echo "2) Rendering Spheres using Phong "
echo "  (type q to quit) "
$BIN/phong  < $SCN/spheres.scn > s.png
$BIN/vw s.png 2

echo "3) Rendering Spheres using Ray Cast"
echo "  (type q to quit)"
$BIN/rt  < $SCN/spheres.scn > s.png
$BIN/vw s.png 2

/bin/rm -f s.png


