#!/bin/sh

ROOT=../..
DATA=../../data

BIN=$ROOT/platforms/linux/bin
MOD=$DATA/model
SCN=$DATA/scn
PIC=$DATA/pic
DEM=$ROOT/test/demo

cd $PIC

echo "************************************************"
echo "Mapping Examples"

echo "0) Rendering Texture Mapping PR"
echo "(type q to quit)"
$BIN/xmap < $SCN/tmaps.scn > $DEM/t.png
$BIN/vw $DEM/t.png 2

echo "1) Rendering Texture Mapping RT "
echo "(type q to quit)"
$BIN/rmap < $SCN/tmaps.scn > $DEM/t.png
$BIN/vw $DEM/t.png 2

echo "2) Rendering Bump Mapping "
echo "(type q to quit)"
$BIN/xmap < $SCN/bump.scn > $DEM/t.png
$BIN/vw $DEM/t.png 2

echo "3) Rendering Environment Mapping "
echo "(type q to quit)"
$BIN/xmap < $SCN/env.scn > $DEM/t.png
$BIN/vw $DEM/t.png 2

echo "4) Rendering Light Mapping "
echo "(type q to quit)"
$BIN/xmap < $SCN/slide.scn > $DEM/t.png
$BIN/vw $DEM/t.png 2


cd $DEM
/bin/rm -f t.png


