#!/bin/sh

bin=../../platforms/linux/bin
mod=../../data/model

echo "************************************************"
echo "GPU intersect = Mesh + Mesh"

echo "1) Generating Profile Curve"
# generating rotation surface
$bin/rsurf 18 < $mod/curve2.pts > cyl.tl

# creating scene file
echo "scene {" > hdr.scn
echo " camera = view { from = {0, 0, -3.5}, up = {0, 1, 0}, imgw = 640, imgh = 480}," >> hdr.scn
echo " light = dist_light {direction = {0, 0, -1} }," >> hdr.scn
echo " object = group { " >> hdr.scn
echo "       transform = affine { rotation = {-0.57,0,0}," >> hdr.scn
echo "                     translation = {-0.55, 0.0, 0.0}}," >> hdr.scn
echo "       child = meshobj { shape =" >> hdr.scn
cat cyl.tl >> hdr.scn
echo "                           material = plastic { d_col = {.39, .39, .39}}," >> hdr.scn
echo "}, " >> hdr.scn
echo "}," >> hdr.scn
echo " object = group { " >> hdr.scn
echo "       transform = affine { rotation = {0,0,0}," >> hdr.scn
echo "                     translation = {0.75, 0.125, -0.25}}," >> hdr.scn
echo "       child = meshobj { shape =" >> hdr.scn
cat cyl.tl >> hdr.scn
echo "}, " >> hdr.scn
echo "}," >> hdr.scn
echo "};" >> hdr.scn

echo  "3) Rendering GLUT / Opengl"
echo "  (type q to quit)"
$bin/gpu < hdr.scn 

/bin/rm -f hdr.scn cyl.tl 



